"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRenderResourceHintsWithCORS = exports.getRenderScriptsWithCORS = void 0;
function getRenderScriptsWithCORS(crossOrigin) {
    return function getRenderScriptsWithCORS() {
        let scripts = this.renderScripts();
        if (typeof crossOrigin === 'string') {
            scripts = scripts.replace(/src=".*?"/g, src => `${src} crossorigin="${crossOrigin}"`);
        }
        return scripts;
    };
}
exports.getRenderScriptsWithCORS = getRenderScriptsWithCORS;
function getRenderResourceHintsWithCORS({ scriptCrossOrigin, }) {
    return function renderResourceHintsWithCORS() {
        let resourceHints = this.renderResourceHints();
        if (typeof scriptCrossOrigin === 'string') {
            resourceHints = resourceHints.replace(/as="script"/g, tail => `${tail} crossorigin="${scriptCrossOrigin}"`);
        }
        return resourceHints;
    };
}
exports.getRenderResourceHintsWithCORS = getRenderResourceHintsWithCORS;
